| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__QueryBranchOfficeRequest Class Reference
Branch Office

Query Branch Office request. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | OperatorId
| Operator Id. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
xsd__string | BranchOfficeName
| The name of the branch office to filter on. More...
unsp__BGName | BGName
| The name of the Business Group to filter on. More...
xsd__string | RepresentativeEndpointName
| The name of the representative endpoint to filter on. More...
xsd__string | OfficeCode
| Default office code to filter on. More...
xsd__string | RateAreaName
| Default rate area to filter on. More...
unsp__NumberPlanName | NumberPlanName
| Default name of the numbering plan to filter on. More...
struct unsp__BranchOfficeAttributes | Attributes
| Attributes to filter on. More...
xsd__string | Username
| Username for the administration of OpenBranch type branch offices to filter on. More...
xsd__string | Password
| Password for the administration of OpenBranch type branch offices to filter on. More...
enum unsp__SortOrder | SortOrder
| Standard sorting structure. More...

## Detailed Description

Query Branch Office request.

Used by unsp__queryBranchOffice()

## Member Data Documentation

## ◆ Attributes

struct unsp__BranchOfficeAttributes unsp__QueryBranchOfficeRequest::Attributes

Attributes to filter on.

required: false

## ◆ BGName

unsp__BGName unsp__QueryBranchOfficeRequest::BGName

The name of the Business Group to filter on.

required: false

See also
  unsp__BGName

## ◆ BranchOfficeName

xsd__string unsp__QueryBranchOfficeRequest::BranchOfficeName

The name of the branch office to filter on.

required: false

See also
  unsp__BOName

## ◆ NumberPlanName

unsp__NumberPlanName unsp__QueryBranchOfficeRequest::NumberPlanName

Default name of the numbering plan to filter on.

required: false

See also
  unsp__NumberPlanName

## ◆ OfficeCode

xsd__string unsp__QueryBranchOfficeRequest::OfficeCode

Default office code to filter on.

required: false
default value[range]: NA [1..14]

## ◆ OperatorId

char* unsp__QueryBranchOfficeRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__QueryBranchOfficeRequest::Paging

Standard paging structure.

required: false

## ◆ Password

xsd__string unsp__QueryBranchOfficeRequest::Password

Password for the administration of OpenBranch type branch offices to filter on.

required: false
default value[range]: NA [1..30]

## ◆ RateAreaName

xsd__string unsp__QueryBranchOfficeRequest::RateAreaName

Default rate area to filter on.

required: false

See also
  unsp__RateAreaName

## ◆ RepresentativeEndpointName

xsd__string unsp__QueryBranchOfficeRequest::RepresentativeEndpointName

The name of the representative endpoint to filter on.

required: false

See also
  unsp__EndpointName

## ◆ SortOrder

enum unsp__SortOrder unsp__QueryBranchOfficeRequest::SortOrder

Standard sorting structure.

required: false

## ◆ Username

xsd__string unsp__QueryBranchOfficeRequest::Username

Username for the administration of OpenBranch type branch offices to filter on.

required: false
default value[range]: NA [1..30]

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h